## caja-menu-provider caja-menu-provider |

## Synopsis

                        CajaMenuProvider;
                        CajaMenuProviderIface;
    GList *             caja_menu_provider_get_file_items
                                                            (CajaMenuProvider *provider,
                                                             GtkWidget *window,
                                                             GList *files);
    GList *             caja_menu_provider_get_background_items
                                                            (CajaMenuProvider *provider,
                                                             GtkWidget *window,
                                                             CajaFileInfo *current_folder);
    GList *             caja_menu_provider_get_toolbar_items
                                                            (CajaMenuProvider *provider,
                                                             GtkWidget *window,
                                                             CajaFileInfo *current_folder);
    void                caja_menu_provider_emit_items_updated_signal
                                                            (CajaMenuProvider *provider);

## Object Hierarchy

      GInterface
       +----CajaMenuProvider

## Prerequisites

CajaMenuProvider requires GObject.

## Signals

      "items-updated"                                  : Run Last

## Description

## Details

### CajaMenuProvider

    typedef struct _CajaMenuProvider CajaMenuProvider;

### CajaMenuProviderIface

    typedef struct {
    	GTypeInterface g_iface;

    	GList *(*get_file_items)       (CajaMenuProvider *provider,
    					GtkWidget            *window,
    					GList                *files);
    	GList *(*get_background_items) (CajaMenuProvider *provider,
    					GtkWidget            *window,
    					CajaFileInfo     *current_folder);
    	GList *(*get_toolbar_items)    (CajaMenuProvider *provider,
    					GtkWidget            *window,
    				        CajaFileInfo     *current_folder);
    } CajaMenuProviderIface;

### caja_menu_provider_get_file_items ()

    GList *             caja_menu_provider_get_file_items
                                                            (CajaMenuProvider *provider,
                                                             GtkWidget *window,
                                                             GList *files);

`provider` : |
`window` : |
`files` : |
Returns : |

### caja_menu_provider_get_background_items ()

    GList *             caja_menu_provider_get_background_items
                                                            (CajaMenuProvider *provider,
                                                             GtkWidget *window,
                                                             CajaFileInfo *current_folder);

`provider` : |
`window` : |
`current_folder` : |
Returns : |

### caja_menu_provider_get_toolbar_items ()

    GList *             caja_menu_provider_get_toolbar_items
                                                            (CajaMenuProvider *provider,
                                                             GtkWidget *window,
                                                             CajaFileInfo *current_folder);

`provider` : |
`window` : |
`current_folder` : |
Returns : |

### caja_menu_provider_emit_items_updated_signal ()

    void                caja_menu_provider_emit_items_updated_signal
                                                            (CajaMenuProvider *provider);

`provider` : |

## Signal Details

### The `"items-updated"` signal

    void                user_function                      (CajaMenuProvider *cajamenuprovider,
                                                            gpointer              user_data)                 : Run Last

`cajamenuprovider` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.